<?php
   class clsUsuario extends BDConexion
   {
     function clsUsuario()
     {
       $this->conectar();
     } 
	 	 
	 function getOpcion()
     {
       $ssql="select m.idmenu,m.nommenu,m.idmenugrupo,mg.nommenugrupo ";
       $ssql.=" From menu as m,menugrupo as mg where m.idmenugrupo=mg.idmenugrupo";       
       return $this->BDConsulta($ssql);
     }
	 
     function getCboOpcion($idmenu)
     {
       $lista="";
       $resultado=$this->getOpcion();
       while($filas=$this->NextRow($resultado))
       {
         if($idmenu==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".substr($filas[3],0,3)."-".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".substr($filas[3],0,3)."-".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getOpcionPermi($IdUsuarios)
     {
       echo $ssql="select p.idpermiso,m.idmenu,m.nommenu,mg.nommenugrupo ";
       echo $ssql.=" From menu as m,permiso as p,menugrupo as mg where m.idmenugrupo=mg.idmenugrupo and p.idmenu=m.idmenu and idusuario=$IdUsuarios";       
       return $this->BDConsulta($ssql);
     }
	 function getCboOpcionPermi($IdUsuarios)
     {
       $lista="";
       $resultado=$this->getOpcionPermi($IdUsuarios);
       while($filas=$this->NextRow($resultado))
       {
         if($IdUsuarios==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".substr($filas[3],0,3)."-".$filas[2]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".substr($filas[3],0,3)."-".$filas[2]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboUsuarios($idusuario)
     {
       $lista="";
       $resultado=$this->listarUsuarios();
       while($filas=$this->NextRow($resultado))
       {
         if($idusuario==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]." ".$filas[2]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]." ".$filas[2]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }	 
     function getUsuarioId($login,$clave)
     {
       $ssql="select idusuario from usuario where login='".$login."' and clave='".$clave."' and activo='1' and modulo='TRADOC'";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $idusuario=$filas[0];
       else
           $idusuario=0;
       $this->Liberar($resultado);
       return $idusuario;
     }
     function getUsuarioLogueo($idusuario)
     {
       $ssql="select * ";
       $ssql.=" From usuario Where idusuario=".$idusuario;
       return $this->BDConsulta($ssql);
     }
	 
	 function getMenuGrupo($idusuario)
     {
       $ssql="select menugrupo.nommenugrupo, menugrupo.idmenugrupo, menugrupo.archivo ";
       $ssql.=" From menu, permiso, menugrupo Where menu.idmenugrupo= menugrupo.idmenugrupo AND permiso.idmenu = menu.idmenu AND permiso.idusuario=$idusuario and menugrupo.modulo='TRADOC' GROUP BY menugrupo.nommenugrupo, menugrupo.idmenugrupo order by menugrupo.orden asc";
       return $this->BDConsulta($ssql);
     }
	 
	 function getMenuItems($idmenugrupo,$idusuario)
     {
       $ssql="select menu.nommenu, menu.archivo, permiso.idmenu, menu.imgmenu,menu.marca ";
       $ssql.=" From menu, permiso Where menu.idmenugrupo=".$idmenugrupo." AND permiso.idmenu = menu.idmenu AND permiso.idusuario =".$idusuario." ORDER BY orden";
       return $this->BDConsulta($ssql);
     }
	 function getMenuSubItems($nommenu,$idusuario)
     {
       $ssql="select menu.nommenu, menu.archivo, permiso.idmenu, menu.imgmenu,menu.nomitem,menu.ordenitem,menu.archivoitem,menu.codigo ";
       $ssql.=" From menu, permiso Where menu.codigo='$nommenu' AND permiso.idmenu = menu.idmenu AND permiso.idusuario =".$idusuario." ORDER BY ordenitem";
       return $this->BDConsulta($ssql);
     }
	 function registrarUsuario($apellidos,$nombres,$login,$clave,$cargo,$direccion,$telefono)
     {
      $ssql="Insert Into usuario(apellidos,nombres,login,clave,cargo,direccion,telefono) values('$apellidos','$nombres','$login','$clave','$cargo','$direccion','$telefono')";
       $this->BDConsulta($ssql);       
     }
	 function editarUsuario($idusuario,$apellidos,$nombres,$login,$clave,$cargo,$direccion,$telefono)
     {
      $ssql="Update usuario set apellidos='$apellidos',nombres='$nombres',login='$login',clave='$clave',cargo='$cargo',direccion='$direccion',telefono='$telefono' where idusuario=$idusuario";
       $this->BDConsulta($ssql);       
     }	
	 function registrarPermisos($IdUsuarios,$idmenu)
     {
      $ssql="Insert Into permiso(idusuario,idmenu) values($IdUsuarios,$idmenu)";
       $this->BDConsulta($ssql);       
     }
	 function deletePermisos($idpermiso)
     {
      $ssql="delete from permiso where idpermiso=$idpermiso";
       $this->BDConsulta($ssql);       
     }	
	 function listarUsuarios()
     {
       $ssql="select idusuario,apellidos,nombres,login,clave ";
       $ssql.=" From usuario ";       
       return $this->BDConsulta($ssql);
     }
	 function listarUsuariosId($idusuario)
     {
       $ssql="select * ";
       $ssql.=" From usuario where idusuario=$idusuario";       
       return $this->BDConsulta($ssql);
     }
	 function listarUsuariosPag($regini,$regxpag)
     {
       $ssql="select idusuario,apellidos,nombres";
       $ssql.=" From usuario limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function listarUsuarioss($Like)
     {
       $ssql="select cCursoId,vNombre ";
       $ssql.=" From Curso ";
       if($Like<>"") $ssql.=" Where vNombre Like '%".$Like."%' ";
       $ssql.=" Order by vNombre";
       return $this->BDConsulta($ssql);
     }
   }

?>
